org.eclipse.cdt.core.dom.ast.gnu

## Interface IGCCASTAttributeList

All Superinterfaces:
  IASTAttributeList, IASTAttributeSpecifier, IASTNode, IGCCASTAttributeSpecifier

    public interface IGCCASTAttributeList
    extends IASTAttributeList, IGCCASTAttributeSpecifier

Represents a GCC attribute specifier, introduced by __attribute__.

Since:
  6.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static org.eclipse.cdt.core.parser.util.InstanceOfPredicate<IASTAttributeSpecifier>` `TYPE_FILTER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeSpecifier

`ATTRIBUTE, EMPTY_ATTRIBUTE_SPECIFIER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeList

`addAttribute, getAttributes`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.gnu.IGCCASTAttributeSpecifier

`copy, copy`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### TYPE_FILTER

    static final org.eclipse.cdt.core.parser.util.InstanceOfPredicate<IASTAttributeSpecifier> TYPE_FILTER